# Uses of Class
jdk.jshell.VarSnippet

Packages that use VarSnippet
Package
Description
jdk.jshell
Provides interfaces for creating tools, such as a Read-Eval-Print Loop (REPL), which interactively evaluate "snippets" of Java programming language code.

- ## Uses of VarSnippet in jdk.jshell

  Methods in jdk.jshell that return types with arguments of type VarSnippet
  Modifier and Type
  Method
  Description
  `Stream<VarSnippet>`
  JShell.`variables()`
  Returns the active variable snippets.
  Methods in jdk.jshell with parameters of type VarSnippet
  Modifier and Type
  Method
  Description
  `String`
  JShell.`varValue(VarSnippet snippet)`
  Get the current value of a variable.